/*
 * This file acts as a template for config.c that will be generated in the
 * kernel build directory after config(8) has been successfully run.
 *
 * $FreeBSD: src/usr.sbin/config/kernconf.tmpl,v 1.2.6.1 2008/11/25 02:59:29 kensmith Exp $
 */
#include "opt_config.h"
#ifdef INCLUDE_CONFIG_FILE

/*
 * For !INCLUDE_CONFIG_FILE case, you should look at kern_mib.c. This is
 * where kernconfstring is defined then.
 */
const char kernconfstring[] __attribute__ ((section("kern_conf"))) =
"options	CONFIG_AUTOGENERATED\n\
ident	CNS11XXNAS\n\
machine	arm\n\
cpu	CPU_FA526\n\
makeoptions	DEBUG=-g\n\
makeoptions	MODULES_OVERRIDE=""\n\
makeoptions	KERNVIRTADDR=0xc1000000\n\
makeoptions	KERNPHYSADDR=0x01000000\n\
makeoptions	CONF_CFLAGS=-march=armv4\n\
options	ROOTDEVNAME=\"ufs:da0s1a\"\n\
options	SX_NOINLINE\n\
options	RWLOCK_NOINLINE\n\
options	MUTEX_NOINLINE\n\
options	_KPOSIX_PRIORITY_SCHEDULING\n\
options	SYSVSEM\n\
options	SYSVMSG\n\
options	SYSVSHM\n\
options	KTRACE\n\
options	SCSI_DELAY=5000\n\
options	PSEUDOFS\n\
options	MSDOSFS\n\
options	NFS_ROOT\n\
options	NFSCLIENT\n\
options	UFS_DIRHASH\n\
options	UFS_ACL\n\
options	SOFTUPDATES\n\
options	FFS\n\
options	INET\n\
options	GEOM_LABEL\n\
options	GEOM_PART_GPT\n\
options	SCHED_ULE\n\
options	DIAGNOSTIC\n\
options	WITNESS\n\
options	INVARIANT_SUPPORT\n\
options	INVARIANTS\n\
options	DDB\n\
options	KDB\n\
options	DEVICE_POLLING\n\
options	HZ=100\n\
options	STARTUP_PAGETABLE_ADDR=0x00100000\n\
options	LOADERRAMADDR=0x00000000\n\
options	FLASHADDR=0xD0000000\n\
options	KERNVIRTADDR=0xc1000000\n\
options	KERNPHYSADDR=0x01000000\n\
options	PHYSADDR=0x00000000\n\
options	GEOM_PART_MBR\n\
options	GEOM_PART_BSD\n\
device	mem\n\
device	uart\n\
device	firmware\n\
device	mii\n\
device	ether\n\
device	bpf\n\
device	pty\n\
device	loop\n\
device	md\n\
device	random\n\
device	usb\n\
device	ohci\n\
device	ehci\n\
device	umass\n\
device	scbus\n\
device	da\n\
device	pass\n\
device	cfi\n\
device	geom_label\n\
device	geom_journal\n\
device	geom_part_bsd\n\
";

#endif /* INCLUDE_CONFIG_FILE */
